Package heasarc.db.votable

# Class Base64

java.lang.Object
heasarc.db.votable.Base64

public class Base64 extends Object
This class decodes a Base64 encoded string. Taken from Xamin colde.

## Constructor Summary

Constructors
Constructor
Description
`Base64()`

## Method Summary

Modifier and Type
Method
Description
`void`
`append(String input)`
Build up the string that will be decoded.
`ByteArrayInputStream`
`getAsStream()`
Return an InputStream to the decoded data
`static void`
`main(String[] args)`
`byte[]`
`translate()`
Translate the encoded stream to a byte array

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Base64

public Base64()

## Method Details

### append

public void append(String input)
Build up the string that will be decoded.

### getAsStream

public ByteArrayInputStream getAsStream()
Return an InputStream to the decoded data

### translate

public byte[] translate()
Translate the encoded stream to a byte array

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`